## MacPorts-1.7.0.tar.bz2

=== doc/Makefile ===
MAN1=		port.1
MAN5=		macports.conf.5
MAN7=		portfile.7 portstyle.7 porthier.7 portgroup.7
INSTALLDIR=	${DESTDIR}${prefix}
TOPSRCDIR=	..

ifneq ($(MAKECMDGOALS),distclean)
include ../Mk/macports.autoconf.mk
endif

all: ${MAN1:.1=.1.gz} ${MAN5:.5=.5.gz} ${MAN7:.7=.7.gz}

clean:
	rm -f *.{1,5,7}.gz

test:

distclean: clean
	rm -f prefix.mtree macports.conf macosx.mtree

%.1.gz: %.1
	gzip -c $^ > $@

%.5.gz: %.5
	gzip -c $^ > $@

%.7.gz: %.7
	gzip -c $^ > $@

install: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${DESTDIR}${mpconfigdir}

	cat prefix.mtree | $(MTREE) -U -e -p ${INSTALLDIR} > /dev/null
	if test -L "${INSTALLDIR}/man" ; then \
		rm -f "${INSTALLDIR}/man"; \
	fi

	if test ! -e "${INSTALLDIR}/man" ; then \
		$(LN_S) share/man ${INSTALLDIR}/man; \
	fi

	if test ! -e ${DESTDIR}${mpconfigdir}/macports.conf ; then \
		set -x; \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 macports.conf ${DESTDIR}${mpconfigdir}; \
	fi
	if test ! -e ${DESTDIR}${mpconfigdir}/sources.conf ; then \
		set -x; \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 sources.conf ${DESTDIR}${mpconfigdir}; \
	fi
	if test ! -e ${DESTDIR}${mpconfigdir}/variants.conf ; then \
		set -x; \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 variants.conf ${DESTDIR}${mpconfigdir}; \
	fi

	# delete old uncompressed man pages if they exist
	for m in ${MAN1}; do rm -f ${INSTALLDIR}/share/man/man1/$$m ; done
	for m in ${MAN5}; do rm -f ${INSTALLDIR}/share/man/man5/$$m ; done
	for m in ${MAN7}; do rm -f ${INSTALLDIR}/share/man/man7/$$m ; done

	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}/share/macports/install
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 prefix.mtree ${INSTALLDIR}/share/macports/install/
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 macosx.mtree ${INSTALLDIR}/share/macports/install/
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 port.1.gz ${INSTALLDIR}/share/man/man1
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 macports.conf.5.gz ${INSTALLDIR}/share/man/man5
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 portfile.7.gz ${INSTALLDIR}/share/man/man7
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 portstyle.7.gz ${INSTALLDIR}/share/man/man7
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 porthier.7.gz ${INSTALLDIR}/share/man/man7
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 portgroup.7.gz ${INSTALLDIR}/share/man/man7

=== tests/Makefile ===
include ../Mk/macports.autoconf.mk

TESTS?=checksums-1 cvs-and-patchsites envvariables site-tags trace universal universal-2 xcodeversion dependencies-c dependencies-d dependencies-e case-insensitive-deactivate variants

PWD=$(shell pwd)

.PHONY: test clean PortIndex

all:

/tmp/macports-tests/opt/local/etc/macports/sources.conf: sources.conf
	@echo setting up test installation
	rm -rf /tmp/macports-tests/
	mkdir -p /tmp/macports-tests/ports
	mkdir -p /tmp/macports-tests/opt/local/etc/macports/
	mkdir -p /tmp/macports-tests/opt/local/share/
	mkdir -p /tmp/macports-tests/opt/local/var/macports/receipts/
	mkdir -p /tmp/macports-tests/opt/local/var/macports/build/
	ln -s $(datadir)/macports /tmp/macports-tests/opt/local/share/
	ln -s $(PWD)/test /tmp/macports-tests/ports/
	cp sources.conf /tmp/macports-tests/opt/local/etc/macports/

/tmp/macports-tests/ports/PortIndex: /tmp/macports-tests/opt/local/etc/macports/sources.conf PortIndex
	cp PortIndex /tmp/macports-tests/ports/PortIndex

PortIndex:
	portindex

clean:
	rm -rf /tmp/macports-tests/
	rm -f PortIndex

$(bindir)/port:
	@echo "Please install MacPorts before running these tests"
	@exit 1

test: clean /tmp/macports-tests/ports/PortIndex /tmp/macports-tests/opt/local/etc/macports/sources.conf
	@for testname in $(TESTS); do\
	    subdir=test/$$testname; \
		echo ===\> test ${DIRPRFX}$$subdir; \
		if [ -e ${DIRPRFX}$$subdir/Makefile ]; then \
			( cd $$subdir && \
				$(MAKE) DIRPRFX=${DIRPRFX}$$subdir/ PORTSRC=$(PWD)/test-macports.conf test) || exit 1; \
		else \
			( cd $$subdir && \
				PORTSRC=$(PWD)/test-macports.conf $(bindir)/port clean > /dev/null && \
				PORTSRC=$(PWD)/test-macports.conf $(bindir)/port test > output 2>&1 \
					|| (cat output; exit 1) && \
			sed -e "s|${PWD}|PWD|g" < output > output.sed && \
			diff output.sed master 2>&1 | tee difference && \
			if [ -s difference ]; then \
				exit 1; \
			else \
				rm -f difference output.sed; \
			fi) \
		fi || exit 1; \
	done
	@rm -rf /tmp/macports-tests/
	@rm -f PortIndex

install:

distclean: clean

=== portmgr/jobs/Makefile ===
# $Id: Makefile 31519 2007-11-27 04:10:57Z jmpp@macports.org $

SCRIPTS=	PortIndex2MySQL

edit = sed \
	-e 's,@TCL_PACKAGE_DIR@,$(TCL_PACKAGE_DIR),g'


include ../../Mk/macports.autoconf.mk


all: ${SCRIPTS}

PortIndex2MySQL: PortIndex2MySQL.tcl
	${edit} $< > $@
	chmod 755 $@

clean:
	rm -f ${SCRIPTS}

distclean: clean

=== src/cregistry/Makefile ===
# $Id: Makefile 32209 2007-12-20 08:27:05Z jmpp@macports.org $

OBJS = registry.o entry.o sql.o
STLIB_NAME = cregistry.a
RANLIB = ranlib


include ../../Mk/macports.autoconf.mk


all:: ${STLIB_NAME}

.c.o:
	${CC} -c -DUSE_TCL_STUBS ${CFLAGS} ${TCL_DEFS} ${SHLIB_CFLAGS} $< -o $@

${STLIB_NAME}:: ${OBJS}
	${STLIB_LD} ${STLIB_NAME} ${OBJS}
	${RANLIB} ${STLIB_NAME}

clean::
	rm -f ${STLIB_NAME} ${OBJS}

distclean:: clean

test:

install:: ${STLIB_NAME}

=== src/darwintracelib1.0/Makefile ===
OBJS=		darwintrace.o
SHLIB_NAME=	darwintrace${SHLIB_SUFFIX}
INSTALLDIR= ${DESTDIR}${datadir}/macports/Tcl/darwintrace1.0

test::

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

=== src/macports1.0/Makefile ===
SRCS=		macports.tcl macports_dlist.tcl macports_util.tcl \
		macports_autoconf.tcl macports_index.tcl macports_fastload.tcl
OBJS=		macports.o portconf.o session.o util.o
SHLIB_NAME=	MacPorts${SHLIB_SUFFIX}

INSTALLDIR=	${DESTDIR}${TCL_PACKAGE_DIR}/macports1.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

test::
	${TCLSH} tests/macports_dlist.tcl
	${TCLSH} tests/macports_util.tcl

distclean:: clean
	rm -f macports_autoconf.tcl macports_fastload.tcl ${SHLIB_NAME}

install::
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}

	$(SILENT) set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}/$$file; \
	done

	echo "${TCL_PACKAGE_DIR}" > ${DESTDIR}${prefix}/var/macports/.tclpackage

	$(SILENT) $(TCLSH) ../pkg_mkindex.tcl ${INSTALLDIR}

=== src/package1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/package1.0

SRCS=	package.tcl portdmg.tcl portmdmg.tcl portmpkg.tcl portpkg.tcl \
	portrpm.tcl portsrpm.tcl portdpkg.tcl portunarchive.tcl portarchive.tcl

include ../../Mk/macports.autoconf.mk

all::

clean::

distclean::

test::

install::
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(SILENT) $(TCLSH) ../pkg_mkindex.tcl ${INSTALLDIR}

=== src/pextlib1.0/Makefile ===
OBJS=		Pextlib.o strsed.o fgetln.o md5cmd.o setmode.o xinstall.o \
		fs-traverse.o strcasecmp.o vercomp.o filemap.o \
		sha1cmd.o compat.o curl.o rmd160cmd.o readline.o uid.o\
		tracelib.o tty.o
SHLIB_NAME=	Pextlib${SHLIB_SUFFIX}
INSTALLDIR= ${DESTDIR}${datadir}/macports/Tcl/pextlib1.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

CFLAGS+= ${CURL_CFLAGS} ${MD5_CFLAGS} ${READLINE_CFLAGS}
LIBS+= ${CURL_LIBS} ${MD5_LIBS} ${READLINE_LIBS}

.PHONY: test

test:: ${SHLIB_NAME}
	${TCLSH} tests/curl.tcl ${SHLIB_NAME}
	${TCLSH} tests/checksums.tcl ${SHLIB_NAME}
	${TCLSH} tests/filemap.tcl ${SHLIB_NAME}
	${TCLSH} tests/fifo.tcl ${SHLIB_NAME}
	${TCLSH} tests/fs-traverse.tcl ${SHLIB_NAME}
	${TCLSH} tests/socketpair.tcl ${SHLIB_NAME}

=== src/port/Makefile ===
INSTALLDIR=	${DESTDIR}${prefix}
TOPSRCDIR=	../..
SCRIPTS=	portmirror portindex port

edit = sed \
	-e 's,@TCLSH\@,$(TCLSH),g' \
	-e 's,@TCL_PACKAGE_DIR\@,$(TCL_PACKAGE_DIR),g'

include ../../Mk/macports.autoconf.mk

all: ${SCRIPTS}

portmirror: portmirror.tcl ../../Mk/macports.autoconf.mk
	${edit} portmirror.tcl > $@

portindex: portindex.tcl ../../Mk/macports.autoconf.mk
	${edit} portindex.tcl > $@

port: port.tcl ../../Mk/macports.autoconf.mk
	${edit} port.tcl > $@

mkdirs:
	cat ../../doc/prefix.mtree | $(MTREE) -U -d -e -p ${INSTALLDIR} > /dev/null

clean:
	rm -f ${SCRIPTS}

test:

distclean: clean

install: port portindex portmirror mkdirs
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}/bin
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}/var/macports
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 555 port portindex portmirror ${INSTALLDIR}/bin/
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 port-help.tcl  ${INSTALLDIR}/var/macports/
	cd ${INSTALLDIR}/bin && $(LN_S) -f port portf

=== src/port1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/port1.0

SRCS=	port.tcl portchecksum.tcl portconfigure.tcl portextract.tcl	    \
	portfetch.tcl portmain.tcl portbuild.tcl portpatch.tcl portutil.tcl \
	portinstall.tcl portdepends.tcl portdestroot.tcl portlint.tcl \
	portclean.tcl porttest.tcl portactivate.tcl portsubmit.tcl \
	port_autoconf.tcl portstartupitem.tcl porttrace.tcl portlivecheck.tcl \
	portdistcheck.tcl portmirror.tcl portload.tcl portunload.tcl \
	portdistfiles.tcl

include ../../Mk/macports.subdir.mk
include ../../Mk/macports.autoconf.mk

.PHONY: test

all::

clean::

distclean::
	rm -f port_autoconf.tcl

install::
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(SILENT) $(TCLSH) ../pkg_mkindex.tcl ${INSTALLDIR}

test::
	${TCLSH} tests/portutil.tcl

=== src/registry1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/registry1.0

SRCS= registry.tcl registry_autoconf.tcl receipt_flat.tcl receipt_sqlite.tcl portimage.tcl portuninstall.tcl

include ../../Mk/macports.autoconf.mk

all::

clean::

distclean:: clean
	rm -f registry_autoconf.tcl

install::
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(SILENT) $(TCLSH) ../pkg_mkindex.tcl ${INSTALLDIR}

test::

=== src/registry2.0/Makefile ===
# $Id: Makefile 40056 2008-09-19 02:42:46Z toby@macports.org $

SRCS = registry_util.tcl portimage.tcl portuninstall.tcl
OBJS = registry.o util.o \
	entry.o entryobj.o
	#graph.o graphobj.o

SHLIB_NAME= registry${SHLIB_SUFFIX}
INSTALLDIR= ${DESTDIR}${datadir}/macports/Tcl/registry2.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

LIBS+=	../cregistry/cregistry.a ${SQLITE3_LIBS}

.PHONY: test

test:: ${SHLIB_NAME}
	${TCLSH} tests/entry.tcl ${SHLIB_NAME}
	${TCLSH} tests/depends.tcl ${SHLIB_NAME}

install::
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 ${SHLIB_NAME} ${INSTALLDIR}
	$(SILENT) set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}/$$file; \
	done
	$(SILENT) $(TCLSH) ../pkg_mkindex.tcl ${INSTALLDIR}

=== tests/test/cvs-and-patchsites/Portfile ===
# $Id: Portfile 37266 2008-06-01 23:13:04Z raimue@macports.org $

PortSystem 1.0
name		cvs-and-patchsites
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for cvs+distant patchfiles functionalities
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch.type          cvs
cvs.root            :pserver:anonymous@common-lisp.net:/project/slime/cvsroot
cvs.module          slime
cvs.password        anonymous
worksrcdir          slime

patch_sites      http://home.uchicago.edu/~dgc/sw/mutt/
patchfiles       patch-1.5.14.dgc.xlabel_ext.9
checksums        patch-1.5.14.dgc.xlabel_ext.9 md5 c5badc733020187b6677f31b343195e8

# disable the patch phase in case the cvs code gets out of sync with the patch.
patch		{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually running the fetch target
}

=== tests/test/dependencies-a/Portfile ===
# $Id: Portfile 23701 2007-04-07 02:44:53Z pguyot@kallisys.net $

PortSystem 1.0
name		dependencies-a
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch		{}
checksum	{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

default_variants	+i_want_b

variant i_want_b {
	depends_lib-append	port:dependencies-b
}

test {
# testing consists in processing dependencies
}

=== tests/test/universal-2/Portfile ===
# $Id: Portfile 23968 2007-04-14 03:34:33Z pguyot@kallisys.net $

PortSystem 1.0
name		universal-2
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for universal variant
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch		{}
checksum	{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test		{}

universal_variant	no
